%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Functions 3 :

function [xx]=Str2NumGet(TagString)
	DummyHandle=findobj(gcbf,'Tag',TagString);
	DummyString = get(DummyHandle,'String');
   xx= str2num(DummyString);
   
function [xx]=Num2StrSet(TagString,Value)
	DummyHandle=findobj(0,'Tag',TagString);
   set(DummyHandle,'String',num2str(Value));
   
function [xx]=StrGet(TagString)
   DummyHandle=findobj(0,'Tag',TagString);
   xx=get(DummyHandle,'String');
   
function StrSet(TagString,String)
   DummyHandle=findobj(0,'Tag',TagString);
   set(DummyHandle,'String',String);
   
function [xx]=ValueGet(TagString)
	DummyHandle=findobj(gcbf,'Tag',TagString);
   xx = get(DummyHandle,'Value');
   
 function [xx]=ValueSet(TagString,Value)
	DummyHandle=findobj(0,'Tag',TagString);
   set(DummyHandle,'Value',Value);

function OpenIfClosed(FigureTag,FileName)
	CtrlWinHandle=findobj(0,'Tag',FigureTag);
   if (isempty(CtrlWinHandle)),  
      eval(FileName);   
   end;

function EnableTextField(TagString)
  DummyHandle=findobj(0,'Tag',TagString);
  set(DummyHandle,'Enable','on');

function DisableTextField(TagString)
  DummyHandle=findobj(0,'Tag',TagString);
  set(DummyHandle,'Enable','off');
    
function DeleteObject(TagString)
   DummyHandle=findobj(0,'Tag',TagString);
   if ~isempty(DummyHandle),
      delete(DummyHandle);
   end
   
function CloseFigure(TagString)
   DummyHandle=findobj(0,'Tag',TagString);
   close(DummyHandle);
   
function ShowObject(TagString)
   DummyHandle=findobj(0,'Tag',TagString);
   if isempty(DummyHandle),disp(['Tag : ',TagString,' not found']),end
   set(DummyHandle,'Visible','on');
   
function HideObject(TagString)
   DummyHandle=findobj(0,'Tag',TagString);
   if isempty(DummyHandle),disp(['Tag : ',TagString,' not found']),end
   set(DummyHandle,'Visible','off');

   
function Object(TagString,Operation)
   % Operation = {'Hide','Show'}
   switch Operation
      case 'Hide',HideObject(TagString);
      case 'Show',ShowObject(TagString);
      otherwise disp('Operation not one of {''Hide'',''Show''}.')      
   end
   
function ListDataSets(id)   % Lists all data sets of id.data in the listbox of the window
   ListBoxHandle = findobj(0,'Tag','IdBea ListData'); % find listbox handle
   % generate a list of data sets
   for i=1:length(id.data)
      DataList{i}= [num2str(i),': ', id.data(i).systemname];
   end
   set(ListBoxHandle,'Value',1)          % set Value of the list to the first list element
   set(ListBoxHandle,'String',DataList)  % Display list
   