% CONTROL DESIGN DEMOS - SISO SYSTEM, PRELIMINARY STEPS
%
% PolyX Ltd.

% MODEL PARAMETERS
m = 1; 		% pendulum weight 		[kg] 
l = 1; 		% pendulum length			[m]
g = 9.81;	% gravitation constant 	[ms^-2] 	

% INITIAL CONDITIONS
phi  = 0;
dphi = 0;

% CONTINUOUS TIME LINEAR MODEL:
% Use the macro SIM2LMF included in this demo to obtain
% continous-time linearized model in the form of 
% transfer function numerator and denominator.
% SIMPPEND.MDL is the name of the SIMULINK nonlinear 
% model of the pendulum.
[num,den] = sim2lmf('invpend')

% DISCRETE TIME LINEAR MODEL:
% Linear model obtained in the previous step 
% is discretized using the Control Toolbox 
% macro C2D and the Polynomial Toolbox conversion
% macros. 
%
% If you do not have the Control Toolbox installed,
% comment the following line and SAVE the file
% before running it.
Ts = 0.1; 	% sampling period
[num_disc, den_disc] = lti2lmf( c2d(ss(num,den), Ts) )